function focus() 
{
    document.form_rc_add.rcid.focus();
}

function isNumberAlphaOnly( str )
{
    for( i = 0; i < str.length; i++ )
    {
        ch = str.charCodeAt(i);
        if( (ch < 48 && ch != 45) || (ch > 57 && ch < 65) || (ch > 90 && ch < 97) || (ch > 122) )
        {
            return false;
        }
    }
    return true;
}

function isNumber( numval )
{
    for(i=0; i<numval.length; i++)
    {
        str=numval.charCodeAt(i);
        if(str<48 || str>57)
            return false;
    }
    return true;
}

function inputCheckSpecial(){
  var strobj = document.all.special; //입력값을 담을변수.
  re = /[~!@\#$%`\\\|^&*\()\-=+']/gi;
  if(re.test(strobj.value)){
    alert("특수문자는 입력하실수 없습니다.");
    strobj.value=strobj.value.replace(re,"");
  }
}

/* 유효성 검사 */
String.prototype.isIPAddress = function () {
	if (! /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/.test(this)) return false;
	if (RegExp.$1 > 254 || RegExp.$2 > 254 || RegExp.$3 > 254 || RegExp.$4 > 254) 
	return false;
	if (RegExp.$1 < 0 || RegExp.$2 < 0 || RegExp.$3 < 0 || RegExp.$4 < 0) return false;
	return true;
}

function isDomain(s)
{
  return s.search(/^\s*[\w\~\-]+(\.[\w\~\-]+)+\s*$/g)>=0;
}

function replaceText(str, char1, char2) {
 var ii, newstr;

 newstr = "";
 if (str.length < 1) { return ""; }

 for(ii=0; ii<str.length; ii++)
 {
  if(str.charAt(ii) == char1){
   newstr = newstr + char2;
  } else {
   newstr = newstr + str.charAt(ii);
  } 
 }
 return newstr;
}

function isStringNumber(str)
{
	var rep_str;
	
	rep_str = replaceText(str, ".", "");
	if (isNumber( rep_str ))
		return true;
	else
		return false;
}

function check_submit( form )
{
	var ip1_chk = 0;
	var ip2_chk = 0;
	var domain1_chk = 0;
	var domain2_chk = 0;
	var isallnum = 0;
	var chk1 = 0;
	var chk2 = 0;
	
    if( !form.rcid.value )
    {
        alert('POP ID를 입력하세요.');
        form.rc_name.focus();
        return false;
    }

    if( !form.rc_name.value )
    {
        alert('POP 이름을 입력하세요.');
        form.rc_name.focus();
        return false;
    }
    
    if( !isNumberAlphaOnly(form.rcid.value) )
    {
        alert('POP ID란은 영문자 또는 숫자여야 합니다.');
        form.rcid.focus();
        return false;
    }

//    if( !isNumberAlphaOnly(form.rc_name.value) )
//    {
//        alert('POP 이름란은 영문자 또는 숫자여야 합니다.');
//        form.rc_name.focus();
//        return false;
//    }
    
    if( !form.rcts_addr.value ) 
    {
        alert('제어서버(LTS)주소를 입력하세요.');
        form.rcts_addr.focus();
        return false;
    }

    if( !form.fhs_addr.value ) 
    {
        alert('대표(FHS)주소를 입력하세요.');
        form.fhs_addr.focus();
        return false;
    }

    if (isStringNumber(form.rcts_addr.value))
    	chk1 = 1;
    
    if (isStringNumber(form.fhs_addr.value))
    	chk2 = 1;
       
    if(!form.rcts_addr.value.isIPAddress()) {
	    ip1_chk = 1;
	}
	if (!isDomain(form.rcts_addr.value))
	{
		domain1_chk = 1;
	}
	
	if(!form.fhs_addr.value.isIPAddress()) {
   		ip2_chk = 1;
	}
	if (!isDomain(form.fhs_addr.value))
	{
		domain2_chk = 1;
	}
	
	if (ip1_chk == 1 && domain1_chk == 0 && chk1 == 1)
	{
		alert('IP가 잘못되었습니다. 다시 입력해 주시기 바랍니다.');
        form.rcts_addr.focus();
        form.rcts_addr.select();
        return false;
    }
    if (ip2_chk == 1 && domain2_chk ==0 && chk2 == 1)
	{
		alert('IP가 잘못되었습니다. 다시 입력해 주시기 바랍니다.');
        form.fhs_addr.focus();
        form.fhs_addr.select();
        return false;
    }
	
	if (ip1_chk == 1 && domain1_chk == 1)
	{
		alert('IP 또는 도메인이 잘못되었습니다. 다시 입력해 주시기 바랍니다.');
        form.rcts_addr.focus();
        form.rcts_addr.select();
        return false;
    }
    
    if (ip2_chk == 1 && domain2_chk == 1)
	{
		alert('IP 또는 도메인이 잘못되었습니다. 다시 입력해 주시기 바랍니다.');
        form.fhs_addr.focus();
        form.fhs_addr.select();
        return false;
    }
    
//    if( !isNumber(form.rc_size.value) ) 
//    {
//        alert('POP 할당 용량에 숫자만 입력해야 합니다.');
//        form.rc_size.focus();
//        return false;
//    }

//    var VolSize = 0;
//    if( form.rc_size_unit.value == 'GB' )
//    {
//        VolSize = form.rc_size.value * 1024;
//    }
//    else if( form.rc_size_unit.value == 'TB' )
//    {
//        VolSize = form.rc_size.value * 1024 * 1024;
//    }
    
//   if( form.Total_Vol_Free.value < VolSize ) 
//    {
//        alert('Volume 용량할당은 전체 용량 중 남은 용량만큼만 가능합니다.');
//        form.rc_size.focus();
//        return false;
//    }
    
    return true;
}
